Subject: Re: [X2Go-Dev] Bug#1341: FreeRDP not working in x2go, requires BIG-REQUESTS extension

From: Ulrich Sibiller <[email-masked]>
Date: Wed, 14 Nov 2018 22:27:24 +0100

On Wed, Nov 14, 2018 at 2:07 PM Jens Reyer
<[email-masked]> wrote:
>
> Package: x2goserver-x2goagent
> Version: 4.1.0.2-0~1642~ubuntu1
>
> Hi,
>
> freerdp (freerdp and freerdp2) doesn't work with current default x2go:
>
> ~~~~~
> $ xfreerdp /size:1700x1000 /u:USER /p:PASS /v:192.168.50.142 /cert-ignore
> connected to 192.168.50.142:3389
> X Error of failed request:  BadLength (poly request too large or
> internal Xlib length error)
>   Major opcode of failed request:  18 (X_ChangeProperty)
>   Serial number of failed request:  41
>   Current serial number in output stream:  45
> ~~~~~
>
> The bug report for FreeRDP
> (https://github.com/FreeRDP/FreeRDP/issues/4920) came to the
> conclusion that it requires the BIG-REQUESTS extension, which is
> disabled in x2go.  Indeed removing these lines in
> /etc/x2go/x2goagent.options fixes the issue:
>
> ~~~~~
> # Disable BIG-REQUESTS, nx-libs does not implement this extension correctly.
> # Leads to all sorts of weird crashes if left enabled.
> X2GO_NXAGENT_DEFAULT_OPTIONS+=" -extension BIG-REQUESTS"
> ~~~~~
>
> I'm using this for a day now without "weird crashes", but still assume
> it's probably not the best idea.

I recommend to update to the current nightly build of the nxagent
package. I have added a patch that greatly improves the BIG-REQUESTs
code. Apps like Visual Studio Code and Atom are now working. You can
find information about the nightlies at
https://sunweavers.net/blog/node/20

Uli